# amazon_img.rb
# amazon のイメージ付きリンクの作成
# usage: {{amazon_img('ASIN', 'STR'}}

def amazon_img(asin, str)
  prefix = "http://www.amazon.co.jp/exec/obidos/ASIN"
  imageprefix = "http://images-jp.amazon.com/images/P"
  suffix = "ftnk1221-22/ref=nosim"
  str.gsub!(/(\s|^)(\S+\.(jpg|jpeg|png|gif))/i, '$1<img src="$2">')
  str.gsub!(/$/m, "<br>")
  str.gsub!(/<br>\Z/m, "")
  image = "<img src=\"#{imageprefix}/#{asin}.09.MZZZZZZZ.jpg\">"
  res = "<a href=\"#{prefix}/#{asin}/#{suffix}\">#{image}</a><a href=\"#{prefix}/#{asin}/#{suffix}\">#{str}</a>"

end
